# Uses of Class
net.shibboleth.idp.consent.flow.impl.ConsentFlowDescriptor

Packages that use ConsentFlowDescriptor
Package
Description
net.shibboleth.idp.consent.flow.ar.impl
Actions and flow descriptors related to attribute release consent.
net.shibboleth.idp.consent.flow.impl
Actions and flow descriptors related to consent.
net.shibboleth.idp.consent.logic.impl
Predicates and functions related to attribute consent.

## Uses of ConsentFlowDescriptor in net.shibboleth.idp.consent.flow.ar.impl

Subclasses of ConsentFlowDescriptor in net.shibboleth.idp.consent.flow.ar.impl
Modifier and Type
Class
Description
`class`
`AttributeReleaseFlowDescriptor`
Descriptor for an attribute release flow.

## Uses of ConsentFlowDescriptor in net.shibboleth.idp.consent.flow.impl

Fields in net.shibboleth.idp.consent.flow.impl declared as ConsentFlowDescriptor
Modifier and Type
Field
Description
`private ConsentFlowDescriptor`
AbstractConsentAction.`consentFlowDescriptor`
Consent flow descriptor.
Methods in net.shibboleth.idp.consent.flow.impl that return ConsentFlowDescriptor
Modifier and Type
Method
Description
`ConsentFlowDescriptor`
AbstractConsentAction.`getConsentFlowDescriptor()`
Get the consent flow descriptor.

## Uses of ConsentFlowDescriptor in net.shibboleth.idp.consent.logic.impl

Fields in net.shibboleth.idp.consent.logic.impl with type parameters of type ConsentFlowDescriptor
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ConsentFlowDescriptor>`
AttributeReleaseConsentFunction.`consentFlowDescriptorLookupStrategy`
Consent flow descriptor lookup strategy.
`private Function<ProfileRequestContext,ConsentFlowDescriptor>`
IsConsentRequiredPredicate.`consentFlowDescriptorLookupStrategy`
Consent flow descriptor lookup strategy.
`private Function<ProfileRequestContext,ConsentFlowDescriptor>`
MessageSourceConsentFunction.`consentFlowDescriptorLookupStrategy`
Consent flow descriptor lookup strategy.
Method parameters in net.shibboleth.idp.consent.logic.impl with type arguments of type ConsentFlowDescriptor
Modifier and Type
Method
Description
`void`
AttributeReleaseConsentFunction.`setConsentFlowDescriptorLookupStrategy(Function<ProfileRequestContext,ConsentFlowDescriptor> strategy)`
Set the consent flow descriptor lookup strategy.
`void`
IsConsentRequiredPredicate.`setConsentFlowDescriptorLookupStrategy(Function<ProfileRequestContext,ConsentFlowDescriptor> strategy)`
Set the consent flow descriptor lookup strategy.
`void`
MessageSourceConsentFunction.`setConsentFlowDescriptorLookupStrategy(Function<ProfileRequestContext,ConsentFlowDescriptor> strategy)`
Set the consent flow descriptor lookup strategy.